# Ride Complete
- I should know my ride's final stats - time, distance, fare
- I should be able to initiate payment, 
    if required, I should be able to switch payment methods
- I should be able to provide feedback 
